ISVNFileCheckoutTarget (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.ISVNFileCheckoutTarget interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNFileCheckoutTarget

public interface ISVNFileCheckoutTarget

The ISVNFileCheckoutTarget interface is used in the `SVNRepository.checkoutFiles(long, String[], ISVNFileCheckoutTarget)` method to receive versioned file data from the repository.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Method Summary
`void` | `filePropertyChanged(String path, String name, SVNPropertyValue value)` Receives and handles a next file property.
`OutputStream` | `getOutputStream(String path)` Returns an output stream that will receive file contents of `path`.

Method Detail

### getOutputStream

    public OutputStream getOutputStream(String path)
                                 throws SVNException

  Returns an output stream that will receive file contents of `path`.

  Parameters:
    `path` - file path relative to the location of an `SVNRepository` object
  Returns:
    output stream to receive file contents
  Throws:
    `SVNException`

### filePropertyChanged

    public void filePropertyChanged(String path,
                                    String name,
                                    SVNPropertyValue value)
                             throws SVNException

  Receives and handles a next file property. Since this handler is used in a checkout-kind operations only, the `value` can never be null.

  Parameters:
    `path` - file path relative to the location of an `SVNRepository` object
    `name` - property name
    `value` - property value
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.